### Hierarchy

- OfferSearchRepositoryImpl

### Implements

- OfferSearchRepository

## Index

### Constructors

- constructor

### Methods

- addEventToOfferSearch
- addResultItem
- claimPurchaseForSearchItem
- clone
- complainToSearchItem
- confirmSearchItem
- createByQuery
- evaluateSearchItem
- getCountBySearchRequestIds
- getSearchResult
- getSearchResultByOfferSearchId
- getUserOfferSearches
- rejectSearchItem

## Constructors

### constructor

- new OfferSearchRepositoryImpl(transport: HttpTransport): OfferSearchRepositoryImpl

- - Defined in repository/search/OfferSearchRepositoryImpl.ts:29

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns OfferSearchRepositoryImpl

## Methods

### addEventToOfferSearch

- addEventToOfferSearch(event: string, offerSearchId: number): Promise<void>

- Implementation of OfferSearchRepository.addEventToOfferSearch

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:158

  #### Parameters

  - ##### event: string

  - ##### offerSearchId: number

  #### Returns Promise<void>

### addResultItem

- addResultItem(clientId: string, offerSearch: OfferSearch): Promise<void>

- Implementation of OfferSearchRepository.addResultItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:149

  #### Parameters

  - ##### clientId: string

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### claimPurchaseForSearchItem

- claimPurchaseForSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.claimPurchaseForSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:140

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### clone

- clone(owner: string, id: number, searchRequest: SearchRequest): Promise<Array<OfferSearch>>

- Implementation of OfferSearchRepository.clone

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:166

  #### Parameters

  - ##### owner: string

  - ##### id: number

  - ##### searchRequest: SearchRequest

  #### Returns Promise<Array<OfferSearch>>

### complainToSearchItem

- complainToSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.complainToSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:103

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### confirmSearchItem

- confirmSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.confirmSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:131

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### createByQuery

- createByQuery(owner: string, query: string, searchRequestId: number, page?: number, size?: number): Promise<Page<OfferSearchResultItem>>

- Implementation of OfferSearchRepository.createByQuery

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:35

  #### Parameters

  - ##### owner: string

  - ##### query: string

  - ##### searchRequestId: number

  - ##### Default value page: number = 0

  - ##### Default value size: number = 20

  #### Returns Promise<Page<OfferSearchResultItem>>

### evaluateSearchItem

- evaluateSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.evaluateSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:122

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### getCountBySearchRequestIds

- getCountBySearchRequestIds(searchRequestIds: Array<number>): Promise<Map<number, number>>

- Implementation of OfferSearchRepository.getCountBySearchRequestIds

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:95

  #### Parameters

  - ##### searchRequestIds: Array<number>

  #### Returns Promise<Map<number, number>>

### getSearchResult

- getSearchResult(clientId: string, searchRequestId: number): Promise<Page<OfferSearchResultItem>>

- Implementation of OfferSearchRepository.getSearchResult

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:74

  #### Parameters

  - ##### clientId: string

  - ##### searchRequestId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSearchResultByOfferSearchId

- getSearchResultByOfferSearchId(clientId: string, offerSearchId: number): Promise<Page<OfferSearchResultItem>>

- Implementation of OfferSearchRepository.getSearchResultByOfferSearchId

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:83

  #### Parameters

  - ##### clientId: string

  - ##### offerSearchId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getUserOfferSearches

- getUserOfferSearches(clientId: string, page?: number, size?: number, unique?: boolean, searchIds?: Array<number>, state?: Array<OfferResultAction>): Promise<Page<OfferSearchResultItem>>

- Implementation of OfferSearchRepository.getUserOfferSearches

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:53

  #### Parameters

  - ##### clientId: string

  - ##### Default value page: number = 0

  - ##### Default value size: number = 20

  - ##### Default value unique: boolean = false

  - ##### Default value searchIds: Array<number> = []

  - ##### Default value state: Array<OfferResultAction> = []

  #### Returns Promise<Page<OfferSearchResultItem>>

### rejectSearchItem

- rejectSearchItem(clientId: string, searchResultId: number): Promise<void>

- Implementation of OfferSearchRepository.rejectSearchItem

  - Defined in repository/search/OfferSearchRepositoryImpl.ts:113

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

Generated using TypeDoc